aboutsummaryrefslogtreecommitdiffstats
path: root/main/xf86-video-siliconmotion/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-08-19 08:04:51 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-08-19 08:04:51 +0000
commitdb18ac70aed848a7924072cd06a66f126f53cac8 (patch)
tree569ff576581ac5290b9fa1f16b11b942694150db /main/xf86-video-siliconmotion/APKBUILD
parent54c48ea6781a9238355f7e01fc1ddd754048ff97 (diff)
downloadaports-db18ac70aed848a7924072cd06a66f126f53cac8.tar.gz
aports-db18ac70aed848a7924072cd06a66f126f53cac8.tar.bz2
aports-db18ac70aed848a7924072cd06a66f126f53cac8.tar.xz
main/xf86-video-siliconmotion: build fix
Diffstat (limited to 'main/xf86-video-siliconmotion/APKBUILD')
-rw-r--r--main/xf86-video-siliconmotion/APKBUILD27
1 files changed, 22 insertions, 5 deletions
diff --git a/main/xf86-video-siliconmotion/APKBUILD b/main/xf86-video-siliconmotion/APKBUILD
index 2b5ffc2f38..967cf5cf9f 100644
--- a/main/xf86-video-siliconmotion/APKBUILD
+++ b/main/xf86-video-siliconmotion/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=xf86-video-siliconmotion
pkgver=1.7.7
-pkgrel=2
+pkgrel=3
pkgdesc="Silicon Motion video driver"
url="http://xorg.freedesktop.org/"
arch="all"
@@ -11,10 +11,22 @@ depends=
makedepends="pkgconfig xorg-server-dev libxi-dev fontsproto randrproto
videoproto renderproto"
-source="http://xorg.freedesktop.org/releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+source="http://xorg.freedesktop.org/releases/individual/driver/$pkgname-$pkgver.tar.bz2
+ Remove-miInitializeBackingStore.patch
+ "
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
build() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
export LDFLAGS="$LDFLAGS -Wl,-z,lazy"
./configure \
--build=$CBUILD \
@@ -25,9 +37,14 @@ build() {
}
package() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
make DESTDIR="$pkgdir" install || return 1
rm "$pkgdir"/usr/lib/xorg/modules/*/*.la || return 1
install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
}
-md5sums="dc139f8ea17c40fb7bcc89181e9dbfb3 xf86-video-siliconmotion-1.7.7.tar.bz2"
+md5sums="dc139f8ea17c40fb7bcc89181e9dbfb3 xf86-video-siliconmotion-1.7.7.tar.bz2
+ba50597872cd5dfd2c54028b58919c47 Remove-miInitializeBackingStore.patch"
+sha256sums="87b8b59d43945d4fc8012860c0bd9aed42c4684a943355c607b8eb8d6710c3aa xf86-video-siliconmotion-1.7.7.tar.bz2
+3faa2975dccea76f36309ed239ec5bd0bb9a418aaae56ab5bcec5df900919391 Remove-miInitializeBackingStore.patch"
+sha512sums="368ffa09e59368c18d8eda3ed44cff6de9b44df61624dd7449b3a9d55cca4f7271f0e3ff0ad45d2f312aadc084dae1d2cdecfe0ea42346ca9be2e0d0cf966e33 xf86-video-siliconmotion-1.7.7.tar.bz2
+91b35abc5afc74fd4be4b58b6da6fd1882db4def089d2a6926e45fd5e7107c72d0aec16cec49bad769139e4715751678684eb86e0af5cd872c98d0572d089e52 Remove-miInitializeBackingStore.patch"